> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tenant Permissions

> Retrieves a list of permissions (success) or gives a reason why it's not possible (failure).

#### Authentication

❌ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
❌ Service Account

#### Required Permissions

`Tenant:Permissions:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /tenant/permissions
openapi: 3.1.0
info:
  version: 2.0.249
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /tenant/permissions:
    get:
      tags:
        - Tenant
      summary: List Tenant Permissions
      description: >-
        Retrieves a list of permissions (success) or gives a reason why it's not
        possible (failure).
      operationId: listTenantPermissions
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 50
            description: Maximum number of items to return.
          required: false
          description: Maximum number of items to return.
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              Opaque token used to retrieve the next page. Returned as
              `nextPageToken` from the previous request.
          required: false
          description: >-
            Opaque token used to retrieve the next page. Returned as
            `nextPageToken` from the previous request.
          name: paginationToken
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Permission'
                    description: Current page items.
                  nextPageToken:
                    type: string
                    description: >-
                      token to use as `paginationToken` to request the next
                      page.
                required:
                  - items
      security:
        - authenticationToken: []
components:
  schemas:
    Permission:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^pm-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: ID of the permission (also referred to as "role" in the dashboard).
          example: pm-37vj4-jkr4l-lc9945spfftkne57
        name:
          type: string
          description: Human-readable name of the permission (role).
        operations:
          type: array
          items:
            type: string
          description: >-
            List of API operations this permission grants access to. See
            [Permissions
            List](https://docs.dfns.co/core-concepts/roles-and-permissions#list-of-permissions)
            for available operations.
        status:
          type: string
          enum:
            - Active
          description: Current status of the permission.
        isImmutable:
          type: boolean
          description: Whether this permission is system-managed and cannot be modified.
        isArchived:
          type: boolean
          description: Whether this permission has been archived (soft-deleted).
        dateCreated:
          type: string
          format: date-time
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date (must be
            UTC). Date the permission was created.
          example: '2023-04-14T20:41:28.715Z'
        dateUpdated:
          type: string
          format: date-time
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date (must be
            UTC). Date the permission was last updated.
          example: '2023-04-14T20:41:28.715Z'
      required:
        - id
        - name
        - operations
        - status
        - isImmutable
        - isArchived
        - dateCreated
        - dateUpdated
      additionalProperties: false
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.